using VetClinicDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace VetClinicContracts.ViewModels
{
    public class VisitViewModel : IVisitModel
    {
        [DisplayName("Номер")]
        public int Id { get; set; }

		public int AdminId { get; set; }
        [DisplayName("Животное")]
        public string AnimalName { get; set; } = string.Empty;

        [DisplayName("Название визита")]
        public string NameVisit { get; set; } = string.Empty;

        [DisplayName("Админ")]
        public string AdminFIO { get; set; } = string.Empty;

		[DisplayName("Название услуг")]
		public string ServiceName { get; set; } = string.Empty;

		[DisplayName("Дата визита")]
        public DateTime DateVisit { get; set; }
		public Dictionary<int, IAnimalModel> VisitAnimals { get; set; } = new();

		public Dictionary<int, IServiceModel> ServiceVisits { get; set; } = new();
	}
}
